%global _empty_manifest_terminate_build 0
Name:		python-ifaddr
Version:	0.2.0
Release:	1
Summary:	Cross-platform network interface and IP address enumeration library
License:	MIT
URL:		https://github.com/pydron/ifaddr
Source0:	https://files.pythonhosted.org/packages/e8/ac/fb4c578f4a3256561548cd825646680edcadb9440f3f68add95ade1eb791/ifaddr-0.2.0.tar.gz
BuildArch:	noarch


%description
ifaddr is a small Python library that allows you to find all the Ethernet and
IP addresses of the computer. It is tested on Linux, OS X, and
Windows. Other BSD derivatives like OpenBSD, FreeBSD, and
NetBSD should work too, but I haven't personally tested those.
Solaris/Illumos should also work.
This library is open source and released under the MIT License. It works
with Python 3.7+.

%package -n python3-ifaddr
Summary:	Cross-platform network interface and IP address enumeration library
Provides:	python-ifaddr
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-ifaddr
ifaddr is a small Python library that allows you to find all the Ethernet and
IP addresses of the computer. It is tested on Linux, OS X, and
Windows. Other BSD derivatives like OpenBSD, FreeBSD, and
NetBSD should work too, but I haven't personally tested those.
Solaris/Illumos should also work.
This library is open source and released under the MIT License. It works
with Python 3.7+.

%package help
Summary:	Development documents and examples for ifaddr
Provides:	python3-ifaddr-doc
%description help
ifaddr is a small Python library that allows you to find all the Ethernet and
IP addresses of the computer. It is tested on Linux, OS X, and
Windows. Other BSD derivatives like OpenBSD, FreeBSD, and
NetBSD should work too, but I haven't personally tested those.
Solaris/Illumos should also work.
This library is open source and released under the MIT License. It works
with Python 3.7+.

%prep
%autosetup -n ifaddr-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-ifaddr -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Oct 21 2022 guozhengxin <guozhengxin@kylinos.cn> - 0.2.0-1
- Upgrade package to version 0.2.0

* Wed Nov 25 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
